/*
 * This file is part of firk's Common C Library
 *  strparse_i.c - string to integer parsing functions
 *
 * (c) firk 2015, 2016, 2019, 2020, 2021, 2023; firk@cantconnect.ru
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The origin of this software must not be misrepresented; you must
 *    not claim that you wrote the original software.
 * 4. Altered versions in any form must be plainly marked as such, and
 *    must not be misinterpreted as being the original software.
 *
 * This software is provided by the author and contributors `as is'
 * without any express or implied warranty.
 */

#include <string.h>
#include "types.h"
#include "strparse.h"

#include "strparse_i.inc"

STR_TO_I(char, unsigned char, signed char)
STR_TO_I(short, unsigned short, signed short)
STR_TO_I(int, unsigned int, signed int)
STR_TO_I(long, unsigned long, signed long)
#ifdef HAVE_LONGLONG
STR_TO_I(llong, unsigned long long, signed long long)
#endif
#ifdef HAVE_INT8
STR_TO_I(int8, uint8, int8)
#endif
#ifdef HAVE_INT16
STR_TO_I(int16, uint16, int16)
#endif
#ifdef HAVE_INT32
STR_TO_I(int32, uint32, int32)
#endif
#ifdef HAVE_INT64
STR_TO_I(int64, uint64, int64)
#endif
STR_TO_I(size, fcl_size, fcl_ssize)


